> ## Documentation Index
> Fetch the complete documentation index at: https://adp-doc.laiye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Global Invoices and receipts extraction result

> Query async extraction results for Global Invoices or receipts.



## OpenAPI

````yaml en/api-reference/preset-overseas-documents.yaml GET /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/query/task/{task_id}
openapi: 3.1.0
info:
  title: Global Invoices and receipts
  version: 1.0.0
  description: ADP preset application APIs for extracting Global Invoices and receipts.
  license:
    name: MIT
    identifier: MIT
servers:
  - url: https://adp-global.laiye.com
    description: ADP global production endpoint
security: []
tags:
  - name: Global Invoices and receipts extraction
    description: Extract fields from Global Invoices and receipts.
paths:
  /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/query/task/{task_id}:
    get:
      tags:
        - Global Invoices and receipts extraction
      summary: Query Global Invoices and receipts extraction result
      description: Query async extraction results for Global Invoices or receipts.
      operationId: queryOverseasDocumentExtractTask
      parameters:
        - $ref: '#/components/parameters/TenantName'
        - $ref: '#/components/parameters/TaskId'
      responses:
        '200':
          $ref: '#/components/responses/DocumentExtractResponse'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - ApiKeyAuth: []
components:
  parameters:
    TenantName:
      name: tenant_name
      in: path
      required: true
      description: 'Tenant name. Default: laiye.'
      schema:
        type: string
        default: laiye
    TaskId:
      name: task_id
      in: path
      required: true
      description: Task ID.
      schema:
        type: string
  responses:
    DocumentExtractResponse:
      description: Extraction result.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DocumentExtractResponse'
    ValidationError:
      description: Validation error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HTTPValidationError'
  schemas:
    DocumentExtractResponse:
      allOf:
        - $ref: '#/components/schemas/SimpleResponse'
        - type: object
          properties:
            data:
              type: object
              additionalProperties: true
              properties:
                task_id:
                  type: string
                file_url:
                  type: string
                status:
                  type: integer
                  enum:
                    - 0
                    - 1
                    - 2
                    - 4
                    - 5
                    - 6
                  description: >-
                    0=unknown, 1=ready, 2=running, 4=succeeded, 5=failed,
                    6=canceled or rejected.
                message:
                  type: string
                  description: Task status or processing result message.
                extract_config_version:
                  type: string
                  description: Extraction configuration version used for this request.
                metadata:
                  type:
                    - object
                    - 'null'
                  additionalProperties: true
                  description: Document processing task metadata.
                aigc:
                  type:
                    - object
                    - 'null'
                  additionalProperties: true
                  description: AI-generated content compliance label.
                doc_recognize_result:
                  type: array
                  description: Document parsing results.
                  items:
                    type: object
                    additionalProperties: true
                extraction_result:
                  type: array
                  description: Document field extraction results.
                  items:
                    type: object
                    additionalProperties: true
                classify_result:
                  type: object
                  description: Document classification result.
                  additionalProperties: true
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorItem'
      required:
        - detail
    SimpleResponse:
      type: object
      properties:
        code:
          oneOf:
            - type: string
            - type: integer
        message:
          type: string
        tips:
          type:
            - string
            - 'null'
    ValidationErrorItem:
      type: object
      additionalProperties: true
      properties:
        type:
          type: string
        loc:
          type: array
          items:
            oneOf:
              - type: string
              - type: integer
        msg:
          type: string
        input: {}
        ctx:
          type: object
          additionalProperties: true
      required:
        - type
        - loc
        - msg
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.